Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime.ess
Class MLReceiptPolicy.PolicyType

`java.lang.Object
oracle.security.crypto.smime.ess.MLReceiptPolicy.PolicyType`

Enclosing class:
  MLReceiptPolicy

public static class MLReceiptPolicy.PolicyType
extends java.lang.Object

Field Summary
`static MLReceiptPolicy.PolicyType` | `IN_ADDITION_TO` The MLReceiptPolicy Type 'IN_ADDITION_TO'.
`static MLReceiptPolicy.PolicyType` | `INSTEAD_OF` The MLReceiptPolicy Type 'INSTEAD_OF'.
`static MLReceiptPolicy.PolicyType` | `NONE` The MLReceiptPolicy Type 'NONE'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates if the object equals the specified object.
`int` | `getType()` Returns the Policy Type Value.
`int` | `hashCode()` Return the hash code for this object.
`java.lang.String` | `toString()` Returns a brief description of this policy type object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final MLReceiptPolicy.PolicyType NONE

  The MLReceiptPolicy Type 'NONE'.

### INSTEAD_OF

    public static final MLReceiptPolicy.PolicyType INSTEAD_OF

  The MLReceiptPolicy Type 'INSTEAD_OF'.

### IN_ADDITION_TO

    public static final MLReceiptPolicy.PolicyType IN_ADDITION_TO

  The MLReceiptPolicy Type 'IN_ADDITION_TO'.

Method Detail

### getType

    public int getType()

  Returns the Policy Type Value.
  Returns:
    The integer policy type value.

### toString

    public java.lang.String toString()

  Returns a brief description of this policy type object.
  Returns:
    A string.

### equals

    public boolean equals(java.lang.Object o)

  Indicates if the object equals the specified object.
  Returns:
    If `true` this object is equal to the specified object; `false` otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.
  Returns:
    The hash code value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.